/* Maintained by Facooya and Fanone Facooya, 2026 */

* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

html, body {
	width: 100%;
	height: 100%;
	background-color: #ffffff;
}

html {
	font-family: Arial, Helvetica, sans-serif;
	scroll-behavior: smooth;
}

body {
	-webkit-tap-highlight-color: #00000000;
}

faco-main {
	padding: 0 16px;
}

faco-main faco-pager {
	padding-bottom: 32px;
}

faco-main faco-code {
	padding-bottom: 16px;
}

faco-main .faco-preview {
	display: block;
	background-color: #222222;
	padding: 16px;
	border-radius: 16px;
}

faco-main .faco-preview .mobile-portrait {
	display: block;
	max-width: 100%;
}

faco-main .faco-preview .web {
	display: block;
	width: 100%;
	height: 500px;
	background-color: #ffffff;
	border-radius: 16px;
}

h1 {
	margin: 2rem 0;
	line-height: 1.25;
	text-align: center;
}
h2 {
	margin: 1.5rem 0;
	line-height: 1.25;
}
h3 {
	margin: 1rem 0;
	line-height: 1.25;
}

@media (min-width: 768px) {
	faco-main {
		padding: 0 24px;
	}
	faco-main .faco-preview .mobile-portrait {
		max-width: 360px;
	}
}

@media (min-width: 1280px) {
	faco-main {
		padding: 0 32px;
	}
	faco-main * {
		max-width: 1280px;
	}
	faco-main .faco-preview {
		margin: 0 auto;
	}

	h1 {
		margin: 2rem auto;
	}
	h2 {
		margin: 1.5rem auto;
	}
	h3 {
		margin: 1rem auto;
	}
}
